/*
 * J7200 RM Info
 *
 * Copyright (C) 2020 Texas Instruments Incorporated - https://www.ti.com/
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <tisci.h>
#include <socinfo.h>

struct ti_sci_rm_info j7200_rm_info[] = {
	{0x1EC0, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2000, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2080, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x20C0, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2200, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2240, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x33CA, "RESASG_SUBTYPE_IA_VINT"},
	{0x33CD, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x340A, "RESASG_SUBTYPE_IA_VINT"},
	{0x340D, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x344A, "RESASG_SUBTYPE_IA_VINT"},
	{0x344D, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x3480, "RESASG_SUBTYPE_PROXY_PROXIES"},
	{0x34C0, "RESASG_SUBTYPE_RA_ERROR_OES"},
	{0x34C1, "RESASG_SUBTYPE_RA_GP"},
	{0x34C2, "RESASG_SUBTYPE_RA_UDMAP_RX"},
	{0x34C3, "RESASG_SUBTYPE_RA_UDMAP_TX"},
	{0x34C5, "RESASG_SUBTYPE_RA_UDMAP_RX_H"},
	{0x34C6, "RESASG_SUBTYPE_RA_UDMAP_RX_UH"},
	{0x34C7, "RESASG_SUBTYPE_RA_UDMAP_TX_H"},
	{0x34C8, "RESASG_SUBTYPE_RA_UDMAP_TX_UH"},
	{0x34CA, "RESASG_SUBTYPE_RA_VIRTID"},
	{0x34CB, "RESASG_SUBTYPE_RA_MONITORS"},
	{0x3500, "RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON"},
	{0x3501, "RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES"},
	{0x3502, "RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER"},
	{0x3503, "RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG"},
	{0x350A, "RESASG_SUBTYPE_UDMAP_RX_CHAN"},
	{0x350B, "RESASG_SUBTYPE_UDMAP_RX_HCHAN"},
	{0x350C, "RESASG_SUBTYPE_UDMAP_RX_UHCHAN"},
	{0x350D, "RESASG_SUBTYPE_UDMAP_TX_CHAN"},
	{0x350F, "RESASG_SUBTYPE_UDMAP_TX_HCHAN"},
	{0x3510, "RESASG_SUBTYPE_UDMAP_TX_UHCHAN"},
	{0x3540, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x3A4A, "RESASG_SUBTYPE_IA_VINT"},
	{0x3A4D, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x3A80, "RESASG_SUBTYPE_PROXY_PROXIES"},
	{0x3AC0, "RESASG_SUBTYPE_RA_ERROR_OES"},
	{0x3AC1, "RESASG_SUBTYPE_RA_GP"},
	{0x3AC2, "RESASG_SUBTYPE_RA_UDMAP_RX"},
	{0x3AC3, "RESASG_SUBTYPE_RA_UDMAP_TX"},
	{0x3AC5, "RESASG_SUBTYPE_RA_UDMAP_RX_H"},
	{0x3AC7, "RESASG_SUBTYPE_RA_UDMAP_TX_H"},
	{0x3ACA, "RESASG_SUBTYPE_RA_VIRTID"},
	{0x3ACB, "RESASG_SUBTYPE_RA_MONITORS"},
	{0x3B00, "RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON"},
	{0x3B01, "RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES"},
	{0x3B02, "RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER"},
	{0x3B03, "RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG"},
	{0x3B0A, "RESASG_SUBTYPE_UDMAP_RX_CHAN"},
	{0x3B0B, "RESASG_SUBTYPE_UDMAP_RX_HCHAN"},
	{0x3B0D, "RESASG_SUBTYPE_UDMAP_TX_CHAN"},
	{0x3B0F, "RESASG_SUBTYPE_UDMAP_TX_HCHAN"},
	{0x3B40, "RESASG_SUBTYPE_IR_OUTPUT"},
};
