/*
 * J721E Devices Info
 *
 * Copyright (C) 2022 Texas Instruments Incorporated - https://www.ti.com/
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <tisci.h>
#include <socinfo.h>

struct ti_sci_devices_info j721e_devices_info[] = {
	{0, "J721E_DEV_MCU_ADC12_16FFC0"},
	{1, "J721E_DEV_MCU_ADC12_16FFC1"},
	{2, "J721E_DEV_ATL0"},
	{3, "J721E_DEV_COMPUTE_CLUSTER0"},
	{4, "J721E_DEV_A72SS0"},
	{5, "J721E_DEV_COMPUTE_CLUSTER0_CFG_WRAP"},
	{6, "J721E_DEV_COMPUTE_CLUSTER0_CLEC"},
	{7, "J721E_DEV_COMPUTE_CLUSTER0_CORE_CORE"},
	{8, "J721E_DEV_COMPUTE_CLUSTER0_DDR32SS_EMIF0_EW"},
	{9, "J721E_DEV_COMPUTE_CLUSTER0_DEBUG_WRAP"},
	{10, "J721E_DEV_COMPUTE_CLUSTER0_DIVH2_DIVH0"},
	{11, "J721E_DEV_COMPUTE_CLUSTER0_DIVP_TFT0"},
	{12, "J721E_DEV_COMPUTE_CLUSTER0_DMSC_WRAP"},
	{13, "J721E_DEV_COMPUTE_CLUSTER0_EN_MSMC_DOMAIN"},
	{14, "J721E_DEV_COMPUTE_CLUSTER0_GIC500SS"},
	{15, "J721E_DEV_C71SS0"},
	{16, "J721E_DEV_C71SS0_MMA"},
	{17, "J721E_DEV_COMPUTE_CLUSTER0_PBIST_WRAP"},
	{18, "J721E_DEV_MCU_CPSW0"},
	{19, "J721E_DEV_CPSW0"},
	{20, "J721E_DEV_CPT2_AGGR0"},
	{21, "J721E_DEV_CPT2_AGGR1"},
	{22, "J721E_DEV_WKUP_DMSC0"},
	{23, "J721E_DEV_CPT2_AGGR2"},
	{24, "J721E_DEV_MCU_CPT2_AGGR0"},
	{25, "J721E_DEV_CSI_PSILSS0"},
	{26, "J721E_DEV_CSI_RX_IF0"},
	{27, "J721E_DEV_CSI_RX_IF1"},
	{28, "J721E_DEV_CSI_TX_IF0"},
	{29, "J721E_DEV_STM0"},
	{30, "J721E_DEV_DCC0"},
	{31, "J721E_DEV_DCC1"},
	{32, "J721E_DEV_DCC2"},
	{33, "J721E_DEV_DCC3"},
	{34, "J721E_DEV_DCC4"},
	{35, "J721E_DEV_MCU_TIMER0"},
	{36, "J721E_DEV_DCC5"},
	{37, "J721E_DEV_DCC6"},
	{38, "J721E_DEV_DCC7"},
	{39, "J721E_DEV_DCC8"},
	{40, "J721E_DEV_DCC9"},
	{41, "J721E_DEV_DCC10"},
	{42, "J721E_DEV_DCC11"},
	{43, "J721E_DEV_DCC12"},
	{44, "J721E_DEV_MCU_DCC0"},
	{45, "J721E_DEV_MCU_DCC1"},
	{46, "J721E_DEV_MCU_DCC2"},
	{47, "J721E_DEV_DDR0"},
	{48, "J721E_DEV_DMPAC0"},
	{49, "J721E_DEV_TIMER0"},
	{50, "J721E_DEV_TIMER1"},
	{51, "J721E_DEV_TIMER2"},
	{52, "J721E_DEV_TIMER3"},
	{53, "J721E_DEV_TIMER4"},
	{54, "J721E_DEV_TIMER5"},
	{55, "J721E_DEV_TIMER6"},
	{57, "J721E_DEV_TIMER7"},
	{58, "J721E_DEV_TIMER8"},
	{59, "J721E_DEV_TIMER9"},
	{60, "J721E_DEV_TIMER10"},
	{61, "J721E_DEV_GTC0"},
	{62, "J721E_DEV_TIMER11"},
	{63, "J721E_DEV_TIMER12"},
	{64, "J721E_DEV_TIMER13"},
	{65, "J721E_DEV_TIMER14"},
	{66, "J721E_DEV_TIMER15"},
	{67, "J721E_DEV_TIMER16"},
	{68, "J721E_DEV_TIMER17"},
	{69, "J721E_DEV_TIMER18"},
	{70, "J721E_DEV_TIMER19"},
	{71, "J721E_DEV_MCU_TIMER1"},
	{72, "J721E_DEV_MCU_TIMER2"},
	{73, "J721E_DEV_MCU_TIMER3"},
	{74, "J721E_DEV_MCU_TIMER4"},
	{75, "J721E_DEV_MCU_TIMER5"},
	{76, "J721E_DEV_MCU_TIMER6"},
	{77, "J721E_DEV_MCU_TIMER7"},
	{78, "J721E_DEV_MCU_TIMER8"},
	{79, "J721E_DEV_MCU_TIMER9"},
	{80, "J721E_DEV_ECAP0"},
	{81, "J721E_DEV_ECAP1"},
	{82, "J721E_DEV_ECAP2"},
	{83, "J721E_DEV_EHRPWM0"},
	{84, "J721E_DEV_EHRPWM1"},
	{85, "J721E_DEV_EHRPWM2"},
	{86, "J721E_DEV_EHRPWM3"},
	{87, "J721E_DEV_EHRPWM4"},
	{88, "J721E_DEV_EHRPWM5"},
	{89, "J721E_DEV_ELM0"},
	{90, "J721E_DEV_EMIF_DATA_0_VD"},
	{91, "J721E_DEV_MMCSD0"},
	{92, "J721E_DEV_MMCSD1"},
	{93, "J721E_DEV_MMCSD2"},
	{94, "J721E_DEV_EQEP0"},
	{95, "J721E_DEV_EQEP1"},
	{96, "J721E_DEV_EQEP2"},
	{97, "J721E_DEV_ESM0"},
	{98, "J721E_DEV_MCU_ESM0"},
	{99, "J721E_DEV_WKUP_ESM0"},
	{100, "J721E_DEV_MCU_FSS0"},
	{101, "J721E_DEV_MCU_FSS0_FSAS_0"},
	{102, "J721E_DEV_MCU_FSS0_HYPERBUS1P0_0"},
	{103, "J721E_DEV_MCU_FSS0_OSPI_0"},
	{104, "J721E_DEV_MCU_FSS0_OSPI_1"},
	{105, "J721E_DEV_GPIO0"},
	{106, "J721E_DEV_GPIO1"},
	{107, "J721E_DEV_GPIO2"},
	{108, "J721E_DEV_GPIO3"},
	{109, "J721E_DEV_GPIO4"},
	{110, "J721E_DEV_GPIO5"},
	{111, "J721E_DEV_GPIO6"},
	{112, "J721E_DEV_GPIO7"},
	{113, "J721E_DEV_WKUP_GPIO0"},
	{114, "J721E_DEV_WKUP_GPIO1"},
	{115, "J721E_DEV_GPMC0"},
	{116, "J721E_DEV_I3C0"},
	{117, "J721E_DEV_MCU_I3C0"},
	{118, "J721E_DEV_MCU_I3C1"},
	{119, "J721E_DEV_PRU_ICSSG0"},
	{120, "J721E_DEV_PRU_ICSSG1"},
	{121, "J721E_DEV_C66SS0_INTROUTER0"},
	{122, "J721E_DEV_C66SS1_INTROUTER0"},
	{123, "J721E_DEV_CMPEVENT_INTRTR0"},
	{124, "J721E_DEV_GPU0"},
	{125, "J721E_DEV_GPU0_GPU_0"},
	{126, "J721E_DEV_GPU0_GPUCORE_0"},
	{127, "J721E_DEV_LED0"},
	{128, "J721E_DEV_MAIN2MCU_LVL_INTRTR0"},
	{130, "J721E_DEV_MAIN2MCU_PLS_INTRTR0"},
	{131, "J721E_DEV_GPIOMUX_INTRTR0"},
	{132, "J721E_DEV_WKUP_PORZ_SYNC0"},
	{133, "J721E_DEV_PSC0"},
	{134, "J721E_DEV_R5FSS0_INTROUTER0"},
	{135, "J721E_DEV_R5FSS1_INTROUTER0"},
	{136, "J721E_DEV_TIMESYNC_INTRTR0"},
	{137, "J721E_DEV_WKUP_GPIOMUX_INTRTR0"},
	{138, "J721E_DEV_WKUP_PSC0"},
	{139, "J721E_DEV_AASRC0"},
	{140, "J721E_DEV_C66SS0"},
	{141, "J721E_DEV_C66SS1"},
	{142, "J721E_DEV_C66SS0_CORE0"},
	{143, "J721E_DEV_C66SS1_CORE0"},
	{144, "J721E_DEV_DECODER0"},
	{145, "J721E_DEV_WKUP_DDPA0"},
	{146, "J721E_DEV_UART0"},
	{147, "J721E_DEV_DPHY_RX0"},
	{148, "J721E_DEV_DPHY_RX1"},
	{149, "J721E_DEV_MCU_UART0"},
	{150, "J721E_DEV_DSS_DSI0"},
	{151, "J721E_DEV_DSS_EDP0"},
	{152, "J721E_DEV_DSS0"},
	{153, "J721E_DEV_ENCODER0"},
	{154, "J721E_DEV_WKUP_VTM0"},
	{155, "J721E_DEV_MAIN2WKUPMCU_VD"},
	{156, "J721E_DEV_MCAN0"},
	{157, "J721E_DEV_BOARD0"},
	{158, "J721E_DEV_MCAN1"},
	{160, "J721E_DEV_MCAN2"},
	{161, "J721E_DEV_MCAN3"},
	{162, "J721E_DEV_MCAN4"},
	{163, "J721E_DEV_MCAN5"},
	{164, "J721E_DEV_MCAN6"},
	{165, "J721E_DEV_MCAN7"},
	{166, "J721E_DEV_MCAN8"},
	{167, "J721E_DEV_MCAN9"},
	{168, "J721E_DEV_MCAN10"},
	{169, "J721E_DEV_MCAN11"},
	{170, "J721E_DEV_MCAN12"},
	{171, "J721E_DEV_MCAN13"},
	{172, "J721E_DEV_MCU_MCAN0"},
	{173, "J721E_DEV_MCU_MCAN1"},
	{174, "J721E_DEV_MCASP0"},
	{175, "J721E_DEV_MCASP1"},
	{176, "J721E_DEV_MCASP2"},
	{177, "J721E_DEV_MCASP3"},
	{178, "J721E_DEV_MCASP4"},
	{179, "J721E_DEV_MCASP5"},
	{180, "J721E_DEV_MCASP6"},
	{181, "J721E_DEV_MCASP7"},
	{182, "J721E_DEV_MCASP8"},
	{183, "J721E_DEV_MCASP9"},
	{184, "J721E_DEV_MCASP10"},
	{185, "J721E_DEV_MCASP11"},
	{186, "J721E_DEV_MLB0"},
	{187, "J721E_DEV_I2C0"},
	{188, "J721E_DEV_I2C1"},
	{189, "J721E_DEV_I2C2"},
	{190, "J721E_DEV_I2C3"},
	{191, "J721E_DEV_I2C4"},
	{192, "J721E_DEV_I2C5"},
	{193, "J721E_DEV_I2C6"},
	{194, "J721E_DEV_MCU_I2C0"},
	{195, "J721E_DEV_MCU_I2C1"},
	{197, "J721E_DEV_WKUP_I2C0"},
	{199, "J721E_DEV_NAVSS0"},
	{201, "J721E_DEV_NAVSS0_CPTS_0"},
	{202, "J721E_DEV_A72SS0_CORE0"},
	{203, "J721E_DEV_A72SS0_CORE1"},
	{206, "J721E_DEV_NAVSS0_DTI_0"},
	{207, "J721E_DEV_NAVSS0_MODSS_INTAGGR_0"},
	{208, "J721E_DEV_NAVSS0_MODSS_INTAGGR_1"},
	{209, "J721E_DEV_NAVSS0_UDMASS_INTAGGR_0"},
	{210, "J721E_DEV_NAVSS0_PROXY_0"},
	{211, "J721E_DEV_NAVSS0_RINGACC_0"},
	{212, "J721E_DEV_NAVSS0_UDMAP_0"},
	{213, "J721E_DEV_NAVSS0_INTR_ROUTER_0"},
	{214, "J721E_DEV_NAVSS0_MAILBOX_0"},
	{215, "J721E_DEV_NAVSS0_MAILBOX_1"},
	{216, "J721E_DEV_NAVSS0_MAILBOX_2"},
	{217, "J721E_DEV_NAVSS0_MAILBOX_3"},
	{218, "J721E_DEV_NAVSS0_MAILBOX_4"},
	{219, "J721E_DEV_NAVSS0_MAILBOX_5"},
	{220, "J721E_DEV_NAVSS0_MAILBOX_6"},
	{221, "J721E_DEV_NAVSS0_MAILBOX_7"},
	{222, "J721E_DEV_NAVSS0_MAILBOX_8"},
	{223, "J721E_DEV_NAVSS0_MAILBOX_9"},
	{224, "J721E_DEV_NAVSS0_MAILBOX_10"},
	{225, "J721E_DEV_NAVSS0_MAILBOX_11"},
	{226, "J721E_DEV_NAVSS0_SPINLOCK_0"},
	{227, "J721E_DEV_NAVSS0_MCRC_0"},
	{228, "J721E_DEV_NAVSS0_TBU_0"},
	{229, "J721E_DEV_NAVSS0_TCU_0"},
	{230, "J721E_DEV_NAVSS0_TIMERMGR_0"},
	{231, "J721E_DEV_NAVSS0_TIMERMGR_1"},
	{232, "J721E_DEV_MCU_NAVSS0"},
	{233, "J721E_DEV_MCU_NAVSS0_UDMASS_INTA_0"},
	{234, "J721E_DEV_MCU_NAVSS0_PROXY0"},
	{235, "J721E_DEV_MCU_NAVSS0_RINGACC0"},
	{236, "J721E_DEV_MCU_NAVSS0_UDMAP_0"},
	{237, "J721E_DEV_MCU_NAVSS0_INTR_0"},
	{238, "J721E_DEV_MCU_NAVSS0_MCRC_0"},
	{239, "J721E_DEV_PCIE0"},
	{240, "J721E_DEV_PCIE1"},
	{241, "J721E_DEV_PCIE2"},
	{242, "J721E_DEV_PCIE3"},
	{243, "J721E_DEV_R5FSS0"},
	{244, "J721E_DEV_R5FSS1"},
	{245, "J721E_DEV_R5FSS0_CORE0"},
	{246, "J721E_DEV_R5FSS0_CORE1"},
	{247, "J721E_DEV_R5FSS1_CORE0"},
	{248, "J721E_DEV_R5FSS1_CORE1"},
	{249, "J721E_DEV_MCU_R5FSS0"},
	{250, "J721E_DEV_MCU_R5FSS0_CORE0"},
	{251, "J721E_DEV_MCU_R5FSS0_CORE1"},
	{252, "J721E_DEV_RTI0"},
	{253, "J721E_DEV_RTI1"},
	{254, "J721E_DEV_RTI24"},
	{255, "J721E_DEV_RTI25"},
	{256, "J721E_DEV_RTI16"},
	{257, "J721E_DEV_RTI15"},
	{258, "J721E_DEV_RTI28"},
	{259, "J721E_DEV_RTI29"},
	{260, "J721E_DEV_RTI30"},
	{261, "J721E_DEV_RTI31"},
	{262, "J721E_DEV_MCU_RTI0"},
	{263, "J721E_DEV_MCU_RTI1"},
	{264, "J721E_DEV_SA2_UL0"},
	{265, "J721E_DEV_MCU_SA2_UL0"},
	{266, "J721E_DEV_MCSPI0"},
	{267, "J721E_DEV_MCSPI1"},
	{268, "J721E_DEV_MCSPI2"},
	{269, "J721E_DEV_MCSPI3"},
	{270, "J721E_DEV_MCSPI4"},
	{271, "J721E_DEV_MCSPI5"},
	{272, "J721E_DEV_MCSPI6"},
	{273, "J721E_DEV_MCSPI7"},
	{274, "J721E_DEV_MCU_MCSPI0"},
	{275, "J721E_DEV_MCU_MCSPI1"},
	{276, "J721E_DEV_MCU_MCSPI2"},
	{277, "J721E_DEV_UFS0"},
	{278, "J721E_DEV_UART1"},
	{279, "J721E_DEV_UART2"},
	{280, "J721E_DEV_UART3"},
	{281, "J721E_DEV_UART4"},
	{282, "J721E_DEV_UART5"},
	{283, "J721E_DEV_UART6"},
	{284, "J721E_DEV_UART7"},
	{285, "J721E_DEV_UART8"},
	{286, "J721E_DEV_UART9"},
	{287, "J721E_DEV_WKUP_UART0"},
	{288, "J721E_DEV_USB0"},
	{289, "J721E_DEV_USB1"},
	{290, "J721E_DEV_VPAC0"},
	{291, "J721E_DEV_VPFE0"},
	{292, "J721E_DEV_SERDES_16G0"},
	{293, "J721E_DEV_SERDES_16G1"},
	{294, "J721E_DEV_SERDES_16G2"},
	{295, "J721E_DEV_SERDES_16G3"},
	{296, "J721E_DEV_DPHY_TX0"},
	{297, "J721E_DEV_SERDES_10G0"},
	{298, "J721E_DEV_WKUPMCU2MAIN_VD"},
	{299, "J721E_DEV_NAVSS0_MODSS"},
	{300, "J721E_DEV_NAVSS0_UDMASS"},
	{301, "J721E_DEV_NAVSS0_VIRTSS"},
	{302, "J721E_DEV_MCU_NAVSS0_MODSS"},
	{303, "J721E_DEV_MCU_NAVSS0_UDMASS"},
	{304, "J721E_DEV_DEBUGSS_WRAP0"},
	{305, "J721E_DEV_DMPAC0_SDE_0"},
	{306, "J721E_DEV_GPU0_DFT_PBIST_0"},
	{307, "J721E_DEV_C66SS0_PBIST0"},
	{308, "J721E_DEV_C66SS1_PBIST0"},
	{309, "J721E_DEV_PBIST0"},
	{310, "J721E_DEV_PBIST1"},
	{311, "J721E_DEV_PBIST2"},
	{312, "J721E_DEV_PBIST3"},
	{313, "J721E_DEV_PBIST4"},
	{314, "J721E_DEV_PBIST5"},
	{315, "J721E_DEV_PBIST6"},
	{316, "J721E_DEV_PBIST7"},
	{317, "J721E_DEV_PBIST9"},
	{318, "J721E_DEV_PBIST10"},
	{319, "J721E_DEV_MCU_PBIST0"},
	{320, "J721E_DEV_MCU_PBIST1"},
	{321, "J721E_DEV_C71X_0_PBIST_VD"},
	{322, "J721E_DEV_MCU_TIMER1_CLKSEL_VD"},
	{323, "J721E_DEV_MCU_TIMER3_CLKSEL_VD"},
	{324, "J721E_DEV_MCU_TIMER5_CLKSEL_VD"},
	{325, "J721E_DEV_MCU_TIMER7_CLKSEL_VD"},
	{326, "J721E_DEV_MCU_TIMER9_CLKSEL_VD"},
	{327, "J721E_DEV_TIMER1_CLKSEL_VD"},
	{328, "J721E_DEV_TIMER3_CLKSEL_VD"},
	{329, "J721E_DEV_TIMER5_CLKSEL_VD"},
	{330, "J721E_DEV_TIMER7_CLKSEL_VD"},
	{331, "J721E_DEV_TIMER9_CLKSEL_VD"},
	{332, "J721E_DEV_TIMER11_CLKSEL_VD"},
	{333, "J721E_DEV_TIMER13_CLKSEL_VD"},
	{334, "J721E_DEV_TIMER15_CLKSEL_VD"},
	{335, "J721E_DEV_TIMER17_CLKSEL_VD"},
	{336, "J721E_DEV_TIMER19_CLKSEL_VD"},
	{337, "J721E_DEV_ASCPCIE_BUFFER0"},
	{338, "J721E_DEV_ASCPCIE_BUFFER1"},
	{339, "J721E_DEV_NAVSS0_PVU_0"},
	{340, "J721E_DEV_NAVSS0_PVU_1"},
	{341, "J721E_DEV_NAVSS0_PVU_2"},
};
