/*
 * J721S2 RM Info
 *
 * Copyright (C) 2022 Texas Instruments Incorporated - https://www.ti.com/
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <tisci.h>
#include <socinfo.h>

struct ti_sci_rm_info j721s2_rm_info[] = {
	{0x1E40, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x1E80, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x1F00, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x1F40, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2500, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x2580, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x3842, "RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER"},
	{0x3843, "RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG"},
	{0x384E, "RESASG_SUBTYPE_BCDMA_RING_SPLIT_TR_RX_CHAN"},
	{0x384F, "RESASG_SUBTYPE_BCDMA_RING_SPLIT_TR_TX_CHAN"},
	{0x3861, "RESASG_SUBTYPE_BCDMA_SPLIT_TR_RX_CHAN"},
	{0x3862, "RESASG_SUBTYPE_BCDMA_SPLIT_TR_TX_CHAN"},
	{0x38C0, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x3F8A, "RESASG_SUBTYPE_IA_VINT"},
	{0x3F8D, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x3FCA, "RESASG_SUBTYPE_IA_VINT"},
	{0x3FCD, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x4000, "RESASG_SUBTYPE_PROXY_PROXIES"},
	{0x40C0, "RESASG_SUBTYPE_RA_ERROR_OES"},
	{0x40C1, "RESASG_SUBTYPE_RA_GP"},
	{0x40C2, "RESASG_SUBTYPE_RA_UDMAP_RX"},
	{0x40C3, "RESASG_SUBTYPE_RA_UDMAP_TX"},
	{0x40C4, "RESASG_SUBTYPE_RA_UDMAP_TX_EXT"},
	{0x40C5, "RESASG_SUBTYPE_RA_UDMAP_RX_H"},
	{0x40C6, "RESASG_SUBTYPE_RA_UDMAP_RX_UH"},
	{0x40C7, "RESASG_SUBTYPE_RA_UDMAP_TX_H"},
	{0x40C8, "RESASG_SUBTYPE_RA_UDMAP_TX_UH"},
	{0x40CA, "RESASG_SUBTYPE_RA_VIRTID"},
	{0x40CB, "RESASG_SUBTYPE_RA_MONITORS"},
	{0x41C0, "RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON"},
	{0x41C1, "RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES"},
	{0x41C2, "RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER"},
	{0x41C3, "RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG"},
	{0x41CA, "RESASG_SUBTYPE_UDMAP_RX_CHAN"},
	{0x41CB, "RESASG_SUBTYPE_UDMAP_RX_HCHAN"},
	{0x41CC, "RESASG_SUBTYPE_UDMAP_RX_UHCHAN"},
	{0x41CD, "RESASG_SUBTYPE_UDMAP_TX_CHAN"},
	{0x41CE, "RESASG_SUBTYPE_UDMAP_TX_ECHAN"},
	{0x41CF, "RESASG_SUBTYPE_UDMAP_TX_HCHAN"},
	{0x41D0, "RESASG_SUBTYPE_UDMAP_TX_UHCHAN"},
	{0x424A, "RESASG_SUBTYPE_IA_VINT"},
	{0x424D, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
	{0x424F, "RESASG_SUBTYPE_IA_BCDMA_TX_CHAN_ERROR_OES"},
	{0x4250, "RESASG_SUBTYPE_IA_BCDMA_TX_CHAN_DATA_COMPLETION_OES"},
	{0x4251, "RESASG_SUBTYPE_IA_BCDMA_TX_CHAN_RING_COMPLETION_OES"},
	{0x4252, "RESASG_SUBTYPE_IA_BCDMA_RX_CHAN_ERROR_OES"},
	{0x4253, "RESASG_SUBTYPE_IA_BCDMA_RX_CHAN_DATA_COMPLETION_OES"},
	{0x4254, "RESASG_SUBTYPE_IA_BCDMA_RX_CHAN_RING_COMPLETION_OES"},
	{0x4300, "RESASG_SUBTYPE_IR_OUTPUT"},
	{0x43C0, "RESASG_SUBTYPE_PROXY_PROXIES"},
	{0x4400, "RESASG_SUBTYPE_RA_ERROR_OES"},
	{0x4401, "RESASG_SUBTYPE_RA_GP"},
	{0x4402, "RESASG_SUBTYPE_RA_UDMAP_RX"},
	{0x4403, "RESASG_SUBTYPE_RA_UDMAP_TX"},
	{0x4405, "RESASG_SUBTYPE_RA_UDMAP_RX_H"},
	{0x4407, "RESASG_SUBTYPE_RA_UDMAP_TX_H"},
	{0x440A, "RESASG_SUBTYPE_RA_VIRTID"},
	{0x440B, "RESASG_SUBTYPE_RA_MONITORS"},
	{0x4440, "RESASG_SUBTYPE_UDMAP_RX_FLOW_COMMON"},
	{0x4441, "RESASG_SUBTYPE_UDMAP_INVALID_FLOW_OES"},
	{0x4442, "RESASG_SUBTYPE_GLOBAL_EVENT_TRIGGER"},
	{0x4443, "RESASG_SUBTYPE_UDMAP_GLOBAL_CONFIG"},
	{0x444A, "RESASG_SUBTYPE_UDMAP_RX_CHAN"},
	{0x444B, "RESASG_SUBTYPE_UDMAP_RX_HCHAN"},
	{0x444D, "RESASG_SUBTYPE_UDMAP_TX_CHAN"},
	{0x444F, "RESASG_SUBTYPE_UDMAP_TX_HCHAN"},
	{0x44CA, "RESASG_SUBTYPE_IA_VINT"},
	{0x44CD, "RESASG_SUBTYPE_GLOBAL_EVENT_SEVT"},
};
